Holger's Java API

## com.antelmann.util.table
Interface TableCustomizer

All Known Implementing Classes:
  ConvertedObjectTableModel, ConvertedTableModel, DataMap.SnapshotModel, DBStoreProfiler.ProfileModel, ObjectTableModelWrapper, TableModelWrapper

    public interface TableCustomizer

TableCustomizer is responsible for setting editors and renderer. Often it is useful to have a `TableModel` implement this interface as it knows best how it wants to be rendered in a table.

Since:
  30.10.2014, 19:01:40
Author:
  holger

Method Summary
`void` `applyStyle(JTable table)`

Method Detail

### applyStyle

    void applyStyle(JTable table)
                    throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads